Bug 1351 - Guest Access to Fileshare / Character Set
Guest Access to Fileshare / Character Set
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.4
All Solaris
: P3 normal
: none
Assigned To: Samba Bugzilla Account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-14 02:49 UTC by Johannes-Ludwig Gross
Modified: 2006-04-08 22:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes-Ludwig Gross 2004-05-14 02:49:50 UTC
I have updated a Fileserver with Samba 2.2.8 to Version 3.0.4. After the 
update guest access to the file shares was not longer possible.
The lines from smb.conf:
[global]
workgroup = Windows-NT-Domain-Name
security = DOMAIN
password server = List of our Domain Controllers
guest account = normal Unix account, no corresponding windows name

[share_name]
path = Unix Path
write list = List of Windows/Unix usernames
read only = no
guest ok = Yes

The smb.conf file was not changed, but after the upgrade only users in our 
passwd / NIS can connect to the share, all other request are denied. The 
windows users with no identical unix user name are asked for a user name and 
password, the guest access not longer works. I could find no hint for this 
problem, the HOWTO and reference guide claims guest access is still possible.
Using an account with identical windows and unix name correctly working in 
both environments as a guest account did not work, too.

An other problem I have with filenames in shares. Using the old Samba version 
files with characters from the german character set were shown correctly, now 
they are not longer readable. I didn't look into this problem yet.
Comment 1 Johannes-Ludwig Gross 2004-05-14 05:35:07 UTC
I now installed Version 2.2.9 and the guest access works without problems 
again.
Comment 2 Johannes-Ludwig Gross 2004-05-17 22:31:48 UTC
Regarding samba-3.0.4 and character sets, there are a lot of messages like:
Conversion from ISO8859-1 to UTF8 not supported.
The names in iconv.c for charactersets seem to be bad for SUN Solaris. I 
copyied the lines at the beginning and changed the character set names:
{"UTF8", utf8_pull, utf8_push},     --- added:
{"UTF-8", utf8_pull, utf8_push},

and
{"ISO-8859-1", ascii_pull, latin1_push},   --- added:
{"ISO8859-1", ascii_pull, latin1_push},

With that change the error messages (for example using smbstatus) vanished, 
but I still could not access any file with special characters. After inserting 
unix charset = ISO8859-1 in smb.conf the names were displayed at the Windows 
client with small graphiks instead of the special characters and could be 
accessed. The filenames with special characters are created and accessed only 
from Windows clients and look unreadable using unix commands like ls.
We are currently using ISO8859-3 as our unix character set.

I could not solve the problem with guest access. Using the same smb.conf with 
samba 2.2.8 or samba 2.2.9 it works, with samba 3.0.4 guest access is not 
possible for our shares. We are using /etc/passwd and nis for unix 
athentication (compat in nsswitch.conf for passwd and group). The samba 
authentication is done as a member of a Windows NT domain with trust to our 
Windows 2003/XP active directory domain using the NT domain controller as a 
password server.
We are not using windbind. I tried to get it working on a test machine, but 
failed. No login possible using the form domain\user or domain+user (after 
setting this separator in smb.conf). The wbinfo command shows the users in the 
form specified. After several hours playing around with /etc/pam.conf and 
smb.conf I gave up on that feature.
Comment 3 Gerald (Jerry) Carter 2005-11-14 09:24:21 UTC
database cleanup
Comment 4 Gerald (Jerry) Carter 2006-04-08 22:50:45 UTC
Fixed in current releases.  See 'map to guest = bad uid'